################################################################################
#####																	   #####
#####						  Tables and Figures						   #####
#####																	   #####
################################################################################


##########################         Table 2         #############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen F3corrected_uc_qa=F3.corrected_uc_qa
gen F3uc_spline_qa=F3.uc_spline_qa
gen F3corrected_uc_nqa=F3.corrected_uc_nqa
gen F3uc_spline_nqa=F3.uc_spline_nqa

xtscc F3corrected_uc_qa dereg stir inflation_rate nfagdp globalizationindex bank_share_credit rgrowth exchange_rate yr1970-yr2009 , fe
outreg2 using tableT2.xls, replace
xtscc F3corrected_uc_nqa dereg stir inflation_rate nfagdp globalizationindex bank_share_credit rgrowth exchange_rate yr1970-yr2009 , fe
outreg2 using tableT2.xls, append
xtscc F3uc_spline_qa dereg stir inflation_rate nfagdp globalizationindex bank_share_credit rgrowth exchange_rate yr1970-yr2009 , fe
outreg2 using tableT2.xls, append
xtscc F3uc_spline_nqa dereg stir inflation_rate nfagdp globalizationindex bank_share_credit rgrowth exchange_rate yr1970-yr2009 , fe
outreg2 using tableT2.xls, append


##########################         Table 3         #############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

xtscc dF3corrected_uc_qa dL3dereg dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009, fe
outreg2 using tableT3.xls, replace
xtscc dF3corrected_uc_nqa dL3dereg dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009, fe
outreg2 using tableT3.xls, append
xtscc dF3uc_spline_qa dL3dereg dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009, fe
outreg2 using tableT3.xls, append
xtscc dF3uc_spline_nqa dL3dereg dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009, fe
outreg2 using tableT3.xls, append


##########################         Table 4         #############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT4.xls, replace
ivreg2 dF3corrected_uc_nqa ( dL3dereg = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT4.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT4.xls, append
ivreg2 dF3uc_spline_nqa ( dL3dereg = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT4.xls, append


##########################         Table 5         #############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg

gen dL3security=(security-L3.security)/3
gen dL3intlcap=(intlcap-L3.intlcap)/3
gen dL3creditcontrol=(creditcon-L3.creditcon)/3
gen dL3bankingsup=(bankingsup-L3.bankingsup)/3
gen dL3entrey=(entrybar-L3.entrybar)/3
gen dL3intrate=(intrate-L3.intrate)/3
gen dL3privatization=(privatization-L3.privatization)/3

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3security = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5a.xls, replace
ivreg2 dF3corrected_uc_qa ( dL3intlcap = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5a.xls, append
ivreg2 dF3corrected_uc_qa ( dL3creditcontrol = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5a.xls, append
ivreg2 dF3corrected_uc_qa ( dL3bankingsup = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5a.xls, append
ivreg2 dF3corrected_uc_qa ( dL3entrey = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5a.xls, append
ivreg2 dF3corrected_uc_qa ( dL3intrate = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5a.xls, append
ivreg2 dF3corrected_uc_qa ( dL3privatization = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5a.xls, append

ivreg2 dF3uc_spline_qa ( dL3security = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5b.xls, replace
ivreg2 dF3uc_spline_qa ( dL3intlcap = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5b.xls, append
ivreg2 dF3uc_spline_qa ( dL3creditcontrol = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5b.xls, append
ivreg2 dF3uc_spline_qa ( dL3bankingsup = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5b.xls, append
ivreg2 dF3uc_spline_qa ( dL3entrey = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5b.xls, append
ivreg2 dF3uc_spline_qa ( dL3intrate = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5b.xls, append
ivreg2 dF3uc_spline_qa ( dL3privatizatio = L3.dereg) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob first
outreg2 using tableT5b.xls, append


##########################         Table 6         #############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort panel: egen z_iv = mean(market_cap_to_gdp/fin_output) if year>1973 & year<1977 
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append


clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort panel: egen z_iv = mean(share_of_non_interest_income) if year>1989 & year<1993
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort panel: egen z_iv = mean(1-bank_share_credit) if year>1973 & year<1977 
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append


clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort panel: egen z_iv = mean(otc_sm_to) if year>1991 & year<1995
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort panel: egen z_iv = mean(otc_to/gdp_usd) if year>1991 & year<1995
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append


clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen z_iv = fin_center
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort panel: egen z_iv = mean(bankconcentration) if year>1998 & year<2002
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort panel: egen z_iv = mean(booneindicator) if year>1998 & year<2002
tsset panel year

replace z_iv=l.z_iv if z_iv==.
forvalues i=0/60 {  
replace z_iv= F.z_iv if z_iv==.
}

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3int_dereg_z_iv=dL3dereg*z_iv
gen int_iv_z_iv=z_iv*L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

ivreg2 dF3corrected_uc_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20,  rob 
outreg2 using tableT6a.xls, append
ivreg2 dF3uc_spline_qa ( dL3dereg dL3int_dereg_z_iv = L3.dereg int_iv_z_iv) dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using tableT6b.xls, append


##########################         Figure 3         ############################


clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen d20uc_spline_qa=uc_spline_qa-L20.uc_spline_qa
gen L20uc_spline_qa=L20.uc_spline_qa
label variable L20uc_spline_qa "unit cost (quality adjusted) in 1987"
twoway scatter d20uc_spline_qa L20uc_spline_qa if year==2007, mlabel(country) || lfit d20uc_spline_qa L20uc_spline_qa if year==2007

##########################         Figure 4         ###########################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

bysort year: egen sd_uc_spline_qa = sd(uc_spline_qa)
bysort year: egen sd_dereg = sd(dereg)

label variable sd_uc_spline_qa "unit cost"
label variable sd_dereg "Deregulation index"
 
tsset panel year

twoway tsline sd_dereg if year>1974 & year<2008 || tsline sd_uc if year>1974 & year<2008, yaxis(2)



##########################         Figure 5         ############################

clear
capture cd "replication files/DATA" 
use DATA 
tsset panel year
drop if plain_fi==.
*Plain unit cost quality adjusted

sort panel year
gen F =fin_output_qa*gdp_usd
bysort year: egen Th = sum( F )
gen I =plain_fi*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen plain_uc_glob_qa=I_glob/Th

keep plain_uc_glob_qa corrected_uc_qa uc_spline_qa corrected_uc_nqa uc_spline_nqa plain_fi fin_output_qa fin_output corrected_fi gdp_usd country panel year

*corrected unit cost not quality adjusted 

sort panel year

gen F =fin_output*gdp_usd
bysort year: egen Th = sum( F )
gen I =corrected_fi*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen corrected_uc_glob_nqa=I_glob/Th

keep plain_uc_glob_qa corrected_uc_glob_nqa corrected_uc_qa uc_spline_qa plain_fi corrected_uc_nqa uc_spline_nqa country panel year fin_output_qa fin_output corrected_fi gdp_usd

*Corrected unit cost quality adjusted 

sort panel year

gen F =fin_output_qa*gdp_usd
bysort year: egen Th = sum( F )
gen I =corrected_fi*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen corrected_uc_glob_qa=I_glob/Th

keep plain_uc_glob_qa corrected_uc_glob_nqa corrected_uc_glob_qa plain_fi corrected_uc_qa uc_spline_qa corrected_uc_nqa uc_spline_nqa country panel year fin_output_qa fin_output corrected_fi gdp_usd

*Plain unit cost not quality adjusted 

sort panel year

gen F =fin_output*gdp_usd
bysort year: egen Th = sum( F )
gen I =plain_fi*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen plain_uc_glob_nqa=I_glob/Th

keep plain_uc_glob_qa plain_uc_glob_nqa corrected_uc_glob_nqa corrected_uc_glob_qa corrected_uc_qa uc_spline_qa corrected_uc_nqa uc_spline_nqa country panel year fin_output_qa fin_output corrected_fi gdp_usd

twoway connect plain_uc_glob_nqa year if year>1969 & year<1989 & panel==3, ytitle("")  ///
	  msymbol(oh) lwidth(medthick) || ///
	connect plain_uc_glob_qa year if year>1969 & year<1989 & panel==3,  ///
	  msymbol(dh) lwidth(medthick) || ///
	connect corrected_uc_glob_nqa year if year>1988 & year<2008 & panel==7, ytitle("")  ///
	  msymbol(oh) lwidth(medthick) || ///
	connect corrected_uc_glob_qa year if year>1988 & year<2008 & panel==7,  ///
	  msymbol(dh) lwidth(medthick) || ///
    || ,xscale(axis(1) r(1976 2007)) xlabel(1970 1980 1990 2000) xtitle("") legend(col(2) ///
		label(1 "Plain QA") label(2 "Plain NQA") label(3 "Corrected NQA") label(4 "Corrected QA")) ///
		title(Figure 5: International unit cost) /// 
		name("inter_uc, replace") ///
		saving(figure4, replace) 


##########################         Figure 5         ############################

*This file provides regressions used to produce impulse response function

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

drop ddereg
gen ddereg=d.dereg
gen dF1corrected_uc_qa=F1.corrected_uc_qa-corrected_uc_qa
gen dF2corrected_uc_qa=F2.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF4corrected_uc_qa=F4.corrected_uc_qa-corrected_uc_qa
gen dF5corrected_uc_qa=F5.corrected_uc_qa-corrected_uc_qa

gen dF1uc_spline_qa =F1.uc_spline_qa -uc_spline_qa
gen dF2uc_spline_qa =F2.uc_spline_qa -uc_spline_qa
gen dF3uc_spline_qa =F3.uc_spline_qa -uc_spline_qa
gen dF4uc_spline_qa =F4.uc_spline_qa -uc_spline_qa
gen dF5uc_spline_qa =F5.uc_spline_qa -uc_spline_qa
gen dF6uc_spline_qa =F6.uc_spline_qa -uc_spline_qa
gen dF7uc_spline_qa =F7.uc_spline_qa -uc_spline_qa

ivreg2 dF1corrected_uc_qa (ddereg=l.dereg) d.L1.corrected_uc_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) replace
ivreg2 dF2corrected_uc_qa (ddereg=l.dereg) d.L1.corrected_uc_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF3corrected_uc_qa (ddereg=l.dereg) d.L1.corrected_uc_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF4corrected_uc_qa (ddereg=l.dereg) d.L1.corrected_uc_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF5corrected_uc_qa (ddereg=l.dereg) d.L1.corrected_uc_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append

ivreg2 dF1corrected_uc_qa (large_reform=l.dereg) d.L1.corrected_uc_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF2corrected_uc_qa (large_reform=l.dereg) d.L1.corrected_uc_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF3corrected_uc_qa (large_reform=l.dereg) d.L1.corrected_uc_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF4corrected_uc_qa (large_reform=l.dereg) d.L1.corrected_uc_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF5corrected_uc_qa (large_reform=l.dereg) d.L1.corrected_uc_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append

ivreg2 dF1uc_spline_qa (ddereg=l.dereg) d.L1.uc_spline_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF2uc_spline_qa (ddereg=l.dereg) d.L1.uc_spline_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF3uc_spline_qa (ddereg=l.dereg) d.L1.uc_spline_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF4uc_spline_qa (ddereg=l.dereg) d.L1.uc_spline_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF5uc_spline_qa (ddereg=l.dereg) d.L1.uc_spline_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF6uc_spline_qa (ddereg=l.dereg) d.L1.uc_spline_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
ivreg2 dF7uc_spline_qa (ddereg=l.dereg) d.L1.uc_spline_qa l.ddereg d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob

ivreg2 dF1uc_spline_qa (large_reform=l.dereg) d.L1.uc_spline_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF2uc_spline_qa (large_reform=l.dereg) d.L1.uc_spline_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF3uc_spline_qa (large_reform=l.dereg) d.L1.uc_spline_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob 
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF4uc_spline_qa (large_reform=l.dereg) d.L1.uc_spline_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF5uc_spline_qa (large_reform=l.dereg) d.L1.uc_spline_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
outreg2 using LP.xls, nopar noast stats(coef ci_low ci_high) append
ivreg2 dF6uc_spline_qa (large_reform=l.dereg) d.L1.uc_spline_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob
ivreg2 dF7uc_spline_qa (large_reform=l.dereg) d.L1.uc_spline_qa l.large_reform d.L.stir d.L.inflation_rate  d.L.nfagdp d.L.globalizationindex d.L.rgrowth gexchange_rate d.L.bank_share_credit yr1970-yr2009 panel1-panel20, rob

