################################################################################
#####																	   #####
#####			          Tables and Figures, appendix	    			   #####
#####																	   #####
################################################################################

##########################         Table A1         ############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen D10uc_spline_qa=uc_spline_qa-L10.uc_spline_qa
gen D10uc_spline_nqa=uc_spline_nqa-L10.uc_spline_nqa
gen D10corrected_uc_qa=corrected_uc_qa-L10.corrected_uc_qa
gen D10corrected_uc_nqa=corrected_uc_nqa-L10.corrected_uc_nqa

reg D10uc_spline_qa L10.uc_spline_qa i.year if year!=1984 & year!=1985 & year!=1986 & year!=1987 & year!=1988 & year!=1989 & year!=1990 & year!=1991 & year!=1992 & year!=1994 & year!=1995 & year!=1996 & year!=1997 & year!=1998 & year!=1999 & year!=2000 & year!=2001 & year!=2002 & year!=2004 & year!=2005 & year!=2006 & year!=2007 & year!=2008 & year!=2009 & year!=2010 & year!=2011 & year!=2012 & year!=2014 & year!=2015 & year>1982 , rob
outreg2 using TA1.xls, replace
reg D10uc_spline_nqa L10.uc_spline_nqa i.year if year!=1984 & year!=1985 & year!=1986 & year!=1987 & year!=1988 & year!=1989 & year!=1990 & year!=1991 & year!=1992 & year!=1994 & year!=1995 & year!=1996 & year!=1997 & year!=1998 & year!=1999 & year!=2000 & year!=2001 & year!=2002 & year!=2004 & year!=2005 & year!=2006 & year!=2007 & year!=2008 & year!=2009 & year!=2010 & year!=2011 & year!=2012 & year!=2014 & year!=2015 & year>1982 , rob
outreg2 using TA1.xls, append
reg D10corrected_uc_qa L10.corrected_uc_qa i.year if year!=1984 & year!=1985 & year!=1986 & year!=1987 & year!=1988 & year!=1989 & year!=1990 & year!=1991 & year!=1992 & year!=1994 & year!=1995 & year!=1996 & year!=1997 & year!=1998 & year!=1999 & year!=2000 & year!=2001 & year!=2002 & year!=2004 & year!=2005 & year!=2006 & year!=2007 & year!=2008 & year!=2009 & year!=2010 & year!=2011 & year!=2012 & year!=2014 & year!=2015 & year>1982 , rob
outreg2 using TA1.xls, append
reg D10corrected_uc_nqa L10.corrected_uc_nqa i.year if year!=1984 & year!=1985 & year!=1986 & year!=1987 & year!=1988 & year!=1989 & year!=1990 & year!=1991 & year!=1992 & year!=1994 & year!=1995 & year!=1996 & year!=1997 & year!=1998 & year!=1999 & year!=2000 & year!=2001 & year!=2002 & year!=2004 & year!=2005 & year!=2006 & year!=2007 & year!=2008 & year!=2009 & year!=2010 & year!=2011 & year!=2012 & year!=2014 & year!=2015 & year>1982 , rob
outreg2 using TA1.xls, append


##########################         Table A2         ############################

*Run each program to obtain table 2 columns

*Plain unit cost quality adjusted 1970-1975 

clear
capture cd "replication files/DATA" 
use DATA
keep if year<1976 & year>1969
sort panel year
gen duc_p= uc_spline_qa-L5.uc_spline_qa
drop if uc_spline_qa==.
gen F =fin_output_qa*gdp_usd
bysort year: egen Th = sum( F )
gen theta= F/Th
sort panel year
gen L5theta=L5.theta
gen theta_bar=(L5theta+theta)/2
gen within_i= duc_p*theta_bar
bysort year: egen within = sum( within_i )
su within if year==1975

gen I =uc_spline_qa*fin_output_qa*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen plain_uc_glob_qa=I_glob/Th
gen duc_glob_qa_p=plain_uc_glob_qa-L5.plain_uc_glob_qa
gen within_share=within/duc_glob_qa_p
su within duc_glob_qa if year==1975 & panel==3


*Plain unit cost quality adjusted 1975-1983

clear
capture cd "replication files/DATA" 
use DATA
keep if year<1984 & year>1974
sort panel year
gen duc_p= uc_spline_qa-L8.uc_spline_qa
drop if uc_spline_qa==.
gen F =fin_output_qa*gdp_usd
bysort year: egen Th = sum( F )
gen theta= F/Th
sort panel year
gen L8theta=L8.theta
gen theta_bar=(L8theta+theta)/2
gen within_i= duc_p*theta_bar
bysort year: egen within = sum( within_i )
su within if year==1983

gen I =uc_spline_qa*fin_output_qa*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen plain_uc_glob_qa=I_glob/Th
gen duc_glob_qa_p=plain_uc_glob_qa-L8.plain_uc_glob_qa
gen within_share=within/duc_glob_qa_p
su within duc_glob_qa if year==1983 & panel==3

*Plain unit cost quality adjusted 1983-1989

clear
capture cd "replication files/DATA" 
use DATA
keep if year<1990 & year>1982
sort panel year
gen duc_p= uc_spline_qa-L6.uc_spline_qa
drop if uc_spline_qa==.
gen F =fin_output_qa*gdp_usd
bysort year: egen Th = sum( F )
gen theta= F/Th
sort panel year
gen L6theta=L6.theta
gen theta_bar=(L6theta+theta)/2
gen within_i= duc_p*theta_bar
bysort year: egen within = sum( within_i )
su within if year==1989

gen I =uc_spline_qa*fin_output_qa*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen plain_uc_glob_qa=I_glob/Th
gen duc_glob_qa_p=plain_uc_glob_qa-L6.plain_uc_glob_qa
gen within_share=within/duc_glob_qa_p
su within duc_glob_qa if year==1989 & panel==3

*Plain unit cost quality adjusted 1989-2007 

clear
capture cd "replication files/DATA" 
use DATA
keep if year<2008 & year>1988
sort panel year
gen duc_p= uc_spline_qa-L18.uc_spline_qa
drop if uc_spline_qa==.
gen F =fin_output_qa*gdp_usd
bysort year: egen Th = sum( F )
gen theta= F/Th
sort panel year
gen L18theta=L18.theta
gen theta_bar=(L18theta+theta)/2
gen within_i= duc_p*theta_bar
bysort year: egen within = sum( within_i )
su within if year==2007

gen I =uc_spline_qa*fin_output_qa*gdp_usd
bysort year: egen I_glob = sum (I)
sort panel year
gen plain_uc_glob_qa=I_glob/Th
gen duc_glob_qa_p=plain_uc_glob_qa-L18.plain_uc_glob_qa
gen within_share=within/duc_glob_qa_p
su within duc_glob_qa if year==2007 & panel==3


##########################         Table A5         ############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

reg dL3dereg L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA5.xls, replace
reg dL3dereg L3.dereg dL3stir dL3inflation  dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob 
outreg2 using tableTA5.xls, append

##########################         Table A6         ############################

clear
capture cd "replication files/DATA" 
use DATA
tsset panel year

gen dF3corrected_uc_qa=F3.corrected_uc_qa-corrected_uc_qa
gen dF3corrected_uc_nqa=F3.corrected_uc_nqa-corrected_uc_nqa
gen dF3uc_spline_qa=F3.uc_spline_qa-uc_spline_qa
gen dF3uc_spline_nqa=F3.uc_spline_nqa-uc_spline_nqa

gen dL3dereg=dereg-L3.dereg
gen dL3security=(security-L3.security)/3
gen dL3intlcap=(intlcap-L3.intlcap)/3
gen dL3creditcontrol=(creditcon-L3.creditcon)/3
gen dL3bankingsup=(bankingsup-L3.bankingsup)/3
gen dL3entrey=(entrybar-L3.entrybar)/3
gen dL3intrate=(intrate-L3.intrate)/3
gen dL3privatization=(privatization-L3.privatization)/3

gen dL3stir = stir-L3.stir
gen dL3inflation  =inflation_rate-L3.inflation_rate
gen dL3nfagdp =nfagdp-L3.nfagdp
gen dL3globalizationindex =globalizationindex-L3.globalizationindex
gen dL3rgrowth = rgrowth-L3.rgrowth
gen gL3exchange_rate =(exchange_rate-L3.exchange_rate)/L3.exchange_rate
gen dL3bank_share_credit=bank_share_credit-L3.bank_share_credit

reg dL3security L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA6a.xls, replace
reg dL3intlcap L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA6a.xls, append
reg dL3creditcontrol L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA6a.xls, append
reg dL3bankingsup L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA6a.xls, append
reg dL3entrey L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA6a.xls, append
reg dL3intrate L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA6a.xls, append
reg dL3privatization L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if corrected_uc_qa!=., rob 
outreg2 using tableTA6a.xls, append

reg dL3security L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob  
outreg2 using tableTA6b.xls, replace
reg dL3intlcap L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob  
outreg2 using tableTA6b.xls, append
reg dL3creditcontrol L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob  
outreg2 using tableTA6b.xls, append
reg dL3bankingsup L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob 
outreg2 using tableTA6b.xls, append
reg dL3entrey L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob  
outreg2 using tableTA6b.xls, append
reg dL3intrate L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob 
outreg2 using tableTA6b.xls, append
reg dL3privatization L3.dereg dL3stir dL3inflation dL3nfagdp dL3globalizationindex dL3rgrowth gL3exchange_rate dL3bank_share_credit yr1970-yr2009 panel1-panel20 if uc_spline_qa!=., rob 
outreg2 using tableTA6b.xls, append


